Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

rubygem-narray-0.6.0.8-9.fc18 RPM for s390

From Fedora 18 updates for s390

Name: rubygem-narray Distribution: Koji
Version: 0.6.0.8 Vendor: Fedora Project
Release: 9.fc18 Build date: Fri Dec 20 16:00:50 2013
Group: Unspecified Build host: fedora3.s390.bos.redhat.com
Size: 213330 Source RPM: rubygem-narray-0.6.0.8-9.fc18.src.rpm
Packager: Fedora Project
Url: http://narray.rubyforge.org
Summary: N-dimensional Numerical Array class for Ruby
NArray is a Numerical N-dimensional Array class.  Supported element types are
1/2/4-byte Integer, single/double-precision, Real/Complex and Ruby Object.
This extension library incorporates fast calculation and easy manipulation of
large numerical arrays into the Ruby language.  NArray has features similar to
NumPy, but NArray has vector and matrix sub-classes.

Provides

Requires

License

BSD and Ruby

Changelog

* Fri Dec 13 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-9
  - fixed the way ruby(abi) is required
  - dropped the symlinks in %{ruby_vendorarchdir}, except for <= el6
  - fixed directory ownerships on <= el6
  - use BuildRequires: rubygems-devel on el6, too
* Tue Dec 10 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-8
  - fixed symlinks in %{ruby_vendorarchdir}
* Tue Dec 10 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-7
  - adapted Requires: ruby(abi) = 1.9.1 for Fedora 18, only
* Tue Dec 10 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-6
  - several improvements for RHEL <= 6 and added needed bits for RHEL <= 5
  - added needed Provides
* Mon Nov 25 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-5
  - Fedora <= 18 && RHEL <= 6 need Requires: ruby(abi)
* Mon Nov 25 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-4
  - added conditional for Requires: ruby(release) or ruby(abi) on older dists
* Mon Oct 28 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-3
  - added symlink to %{gem_name}_ext.rb in %{ruby_vendorarchdir}
* Sun Sep 15 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-2
  - obsoleted common, common-devel and doc pkg
  - moved some development-related files from main to devel pkg
  - removed some unneeded files, e.g. the copy of sources inside %{gem_instdir}
* Sat Sep 07 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-1
  - Initial rpm release (#1005463)

Files

/usr/lib/gems/exts/narray-0.6.0.8/narray.so
/usr/share/gems/gems/narray-0.6.0.8
/usr/share/gems/gems/narray-0.6.0.8/ChangeLog
/usr/share/gems/gems/narray-0.6.0.8/README.en
/usr/share/gems/gems/narray-0.6.0.8/README.ja
/usr/share/gems/gems/narray-0.6.0.8/narray_ext.rb
/usr/share/gems/gems/narray-0.6.0.8/nmatrix.rb
/usr/share/gems/specifications/narray-0.6.0.8.gemspec


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Jul 11 23:59:56 2014